/**
 *  @filename   :   imagedata.cpp
 *  @brief      :   data file for epd demo
 *
 *  Copyright (C) Waveshare     September 5 2017
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documnetation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to  whom the Software is
 * furished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS OR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

#include "imagedata.h"
#include <avr/pgmspace.h>


const unsigned char gImage_IMAGE[] PROGMEM = { /* 0X00,0X01,0X68,0X00,0XD4,0X00, */
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XE3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XE3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFB,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFB,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFB,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFB,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFB,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFB,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0XF9,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XC0,0X19,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XBE,0X09,0XFF,0XF1,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X7C,0X01,0XFF,
    0XF0,0X07,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFE,0X70,0X01,0XFF,0XF0,0X00,0X3F,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFE,0X60,0X01,0XFF,0XF0,0X00,0X01,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XF0,0X40,0X01,0XFF,0XF8,0X00,0X00,0X0F,0XFF,0XFF,0XFF,0XFF,0XF8,
    0X00,0X00,0X01,0XFF,0XFF,0X00,0X00,0X00,0XFF,0XFF,0XFF,0XFF,0XC1,0XFF,0XC0,0X01,
    0XFF,0XFF,0XC0,0X00,0X00,0XFF,0XFF,0XFF,0XFF,0X1F,0XFF,0XF0,0X09,0XFF,0XFF,0XF0,
    0X3E,0X00,0XFF,0XFF,0XFF,0XFC,0X7F,0XFF,0XFC,0X39,0XFF,0XFF,0XF8,0X0F,0XE0,0XFF,
    0XFF,0XFF,0XF1,0XFF,0XFF,0XFE,0X39,0XFF,0XFF,0XFE,0X07,0XFC,0XFF,0XFF,0XFF,0XE7,
    0XFF,0XFF,0XFF,0X39,0XFF,0XFF,0XFF,0X81,0XFF,0XFF,0XFF,0XFF,0XCF,0XFF,0XFF,0XFF,
    0X99,0XFF,0XFF,0XFF,0XC0,0XFF,0XFF,0XFF,0XFF,0X9F,0XFF,0XFF,0XFF,0XC9,0XFF,0XFF,
    0XFF,0XF0,0X7F,0XFF,0XFF,0XFF,0X3F,0XFF,0XFF,0XFF,0XE1,0XFF,0XFF,0XFF,0XF8,0X3F,
    0XFF,0XFF,0XFE,0X7F,0XFF,0XFF,0XFF,0XE1,0XFF,0XFF,0XFF,0XFC,0X0F,0XFF,0XFF,0XFE,
    0X7F,0XFF,0XFF,0XFF,0XF1,0XFF,0XFF,0XFF,0XFE,0X0F,0XFF,0XFF,0XFC,0XFF,0XFF,0XFF,
    0XFF,0XF1,0XFF,0XF0,0X0F,0XFF,0X07,0XFF,0XFF,0XF9,0XFF,0XFF,0XFF,0XFF,0XF1,0XFF,
    0XF0,0X01,0XFF,0X83,0XFF,0XFF,0XF9,0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,0XF0,0X00,0X3F,
    0XC3,0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,0XF0,0X00,0X07,0XC1,0XFF,0XFF,
    0XF3,0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,0XFF,0X00,0X00,0X61,0XFF,0XFF,0XE7,0XFF,0XFF,
    0XFF,0XFF,0XF9,0XFF,0XFF,0XF0,0X00,0X00,0XFF,0XFF,0XE7,0XFF,0XFF,0XFF,0XFF,0XF9,
    0XFF,0XFF,0XFF,0X00,0X00,0XFF,0XFF,0XCF,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XFF,0XFF,
    0XE0,0X01,0XFF,0XFF,0XCF,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XFE,0X03,0XFF,0X03,0XFF,
    0XFF,0XCF,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XF8,0X00,0X3F,0XFF,0XFF,0XFF,0X9F,0XFF,
    0XFF,0XFF,0XFF,0XFC,0XFF,0XF0,0X00,0X07,0XFF,0XFF,0XFF,0X9F,0XFF,0XFF,0XFF,0XFF,
    0XFC,0XFF,0XF0,0X00,0X01,0XFF,0XFF,0XFF,0XBF,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XF0,
    0XF0,0X00,0X7F,0XFF,0XFF,0X3F,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XF0,0XFF,0X80,0X3F,
    0XFF,0XFF,0X3F,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XF0,0X7F,0XE0,0X1F,0XFF,0XFF,0X7F,
    0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XF0,0X3F,0XF8,0X0F,0XFF,0XFE,0X7F,0XFF,0XFF,0XFF,
    0XFF,0XFC,0XFF,0XF8,0X1F,0XFE,0X07,0XFF,0XFE,0X7F,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,
    0XFC,0X1F,0XFF,0X07,0XFF,0XFE,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XFC,0X0F,0XFF,
    0X83,0XFF,0XFC,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XFE,0X07,0XFF,0X83,0XFF,0XFC,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,0XFF,0XFF,0X81,0XFF,0XC1,0XFF,0XFC,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XF9,0XFF,0XFF,0XC0,0XFF,0XC1,0XFF,0XF9,0XFF,0XFF,0XFF,0XFF,0XFF,0XF9,
    0XFF,0XFF,0XE0,0X7F,0XE1,0XFF,0XF9,0XFF,0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,0XFF,0XF0,
    0X1F,0XE1,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,0XF0,0X7C,0X0F,0XE0,0XFF,
    0XF3,0XFF,0X7F,0XFF,0XFF,0XFF,0XF9,0XFF,0XF0,0X02,0X03,0XE0,0XFF,0XE7,0XFF,0X1F,
    0XFF,0XFF,0XFF,0XF9,0XFF,0XF0,0X00,0X00,0XF0,0XFF,0XCF,0XFF,0XCF,0XFF,0XFF,0XFF,
    0XF9,0XFF,0XF0,0X00,0X00,0X30,0XF3,0X8F,0XFF,0XE7,0XFF,0XFF,0XFF,0XF9,0XFF,0XF0,
    0X00,0X00,0X00,0XF9,0X1F,0XFF,0XF3,0XFF,0XFF,0XFF,0XF9,0XFF,0XFF,0XF8,0X00,0X00,
    0XFC,0X3F,0XFF,0XF9,0XFF,0XFF,0XFF,0XF9,0XFF,0XFF,0XFF,0XC0,0X00,0XFC,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,0XFF,0XFF,0XFE,0X00,0XF9,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XF9,0XFF,0XFF,0XFF,0XFF,0XF0,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XC7,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,0XFF,0XC0,0X7F,
    0XFF,0X8F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,0XFE,0X00,0X07,0XFF,0X1F,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,0XFC,0X00,0X01,0XFF,0X3F,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFD,0XFF,0XF8,0X00,0X00,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,
    0XFF,0XF0,0X3E,0X00,0X3F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,0XFF,0XF0,0XFF,
    0XC0,0X1F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,0XFF,0XF0,0XFF,0XF8,0X0F,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,0XFF,0XF0,0XFF,0XFE,0X07,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XF9,0XFF,0XE0,0XFF,0XFF,0X03,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XF9,0XFF,0XF0,0XFF,0XFF,0X83,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFE,0X09,0XFF,0XF0,
    0X7F,0XFF,0XC1,0XFF,0XFF,0XFF,0XFF,0XFF,0XF8,0X00,0X01,0XFF,0XF0,0X7F,0XFF,0XE1,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XE0,0X7F,0XC0,0X7F,0XF8,0X3F,0XFF,0XE1,0XFF,0XFF,0XFF,
    0XFF,0XFF,0X8F,0XFF,0XFC,0X3F,0XF8,0X1F,0XFF,0XF1,0XFF,0XFF,0XFF,0XFF,0XF8,0X3F,
    0XFF,0X1F,0X1F,0XFC,0X0F,0XFF,0XF1,0XFF,0XFF,0XFF,0XFF,0X80,0X7F,0XC0,0X03,0XCF,
    0XFE,0X03,0XFF,0XF1,0XFF,0XFF,0XFF,0XFE,0X1F,0XFC,0X00,0X01,0XE7,0XFF,0X00,0XFF,
    0XF1,0X7F,0XFF,0XFF,0XF0,0XFF,0X00,0X00,0X00,0XE7,0XFF,0X80,0X1F,0XE1,0X3F,0XFF,
    0XFF,0XC7,0XF8,0X00,0X00,0X00,0XE7,0XFF,0XC0,0X00,0X01,0X3F,0XFF,0XFF,0X1F,0XE0,
    0X00,0X00,0X00,0XE7,0XFF,0XF0,0X00,0X03,0X1F,0XFF,0XFE,0X7F,0X00,0X00,0X00,0X01,
    0XE7,0XFF,0XF8,0X00,0X07,0X9F,0XFF,0XFF,0XF8,0X00,0X00,0X00,0X01,0XE7,0XFF,0XFF,
    0X00,0X1F,0XCF,0XFF,0XFF,0XE0,0X00,0X00,0X00,0X01,0XCF,0XFF,0XFF,0XF9,0XFF,0XE7,
    0XFF,0XFF,0X00,0X00,0X00,0X00,0X03,0XCF,0XFF,0X00,0X1F,0XFF,0XF3,0XFF,0XFC,0X00,
    0X00,0X00,0X00,0X03,0X9F,0XFE,0X00,0X03,0XFF,0XF9,0XFF,0XFC,0X00,0X00,0X00,0X00,
    0X07,0X9F,0XF8,0X00,0X00,0XFF,0XFC,0X7F,0XFE,0X00,0X30,0X00,0X00,0X0F,0X3F,0XF8,
    0X00,0X00,0X3F,0XFE,0X1F,0XFC,0X07,0XE0,0X00,0X00,0X1E,0X7F,0XF0,0X7F,0X80,0X1F,
    0XFF,0X8F,0XF8,0X07,0X00,0X00,0X00,0X1C,0XFF,0XF0,0XFF,0XF0,0X0F,0XFF,0XE7,0XFF,
    0X00,0X00,0X00,0X00,0X79,0XFF,0XF0,0XFF,0XFC,0X07,0XFF,0XF1,0XFC,0X00,0X00,0X00,
    0X00,0XF3,0XFF,0XE0,0XFF,0XFF,0X07,0XFF,0XFC,0XFC,0X00,0X00,0X00,0X01,0XC3,0XFF,
    0XE0,0XFF,0XFF,0X83,0XFF,0XFE,0X3F,0X00,0X00,0X00,0X07,0X01,0XFF,0XF0,0X7F,0XFF,
    0XC3,0XFF,0XFF,0X8F,0XC0,0X00,0X00,0X1C,0X01,0XFF,0XF0,0X7F,0XFF,0XE1,0XFF,0XFF,
    0XE3,0XFC,0X00,0X01,0XF0,0X00,0XFF,0XF0,0X3F,0XFF,0XE1,0XFF,0XFF,0XF8,0X7F,0XF8,
    0X7F,0X80,0X00,0XFF,0XF8,0X1F,0XFF,0XE1,0XFF,0XFF,0XFF,0X03,0XFF,0XFC,0X01,0XFC,
    0X7F,0XF8,0X0F,0XFF,0XF1,0XFF,0XFF,0XFF,0XE0,0X00,0X00,0X07,0XFE,0X7F,0XFC,0X07,
    0XFF,0XF1,0XFF,0XFF,0XFF,0XFF,0X80,0X00,0X1F,0XFE,0X7F,0XFE,0X01,0XFF,0XF1,0XFF,
    0XFF,0XFF,0XFF,0XFF,0X9F,0XFF,0XFE,0X7F,0XFF,0X00,0X7F,0XF1,0XFF,0XFF,0XFF,0XFF,
    0XFF,0X9F,0XFF,0XFE,0X7F,0XFF,0X80,0X03,0XC1,0XFF,0XFF,0XFF,0XFF,0XFF,0XBF,0XFF,
    0XFE,0X7F,0XFF,0XE0,0X00,0X03,0XFF,0XFF,0XFF,0XFF,0XFF,0X3F,0XFF,0XFE,0X7F,0XFC,
    0X78,0X00,0X03,0XFF,0XFF,0XFF,0XFF,0XFF,0X3F,0XFF,0XFE,0X7F,0XF0,0X04,0X00,0X0F,
    0XFF,0XFF,0XFF,0XFF,0XFF,0X3F,0XFF,0XFE,0X7F,0XF0,0X00,0X00,0X3F,0XFF,0XFF,0XFF,
    0XFF,0XFE,0X7F,0XFF,0XFE,0X7F,0XF0,0X00,0X03,0XF0,0XFF,0XFF,0XFF,0XFF,0XFE,0X7F,
    0XCF,0XFE,0X7F,0XF0,0X00,0X00,0X30,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XCF,0XFE,0X7F,
    0XF0,0X78,0X00,0X00,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XCF,0XFE,0X7F,0XF0,0X3F,0X00,
    0X00,0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,0XCF,0XFE,0X7F,0XF8,0X1F,0XE0,0X00,0XFF,0XFF,
    0XFF,0XFF,0XF3,0XFF,0XCF,0XFE,0X7F,0XFC,0X0F,0XFE,0X01,0XFF,0XFF,0XFF,0XFF,0XC7,
    0XFF,0XCF,0XFE,0X7F,0XFE,0X07,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X8F,0XFF,0XCF,0XFE,
    0X7F,0XFF,0X03,0XFF,0XFF,0XFF,0XFF,0XFF,0XFE,0X0F,0XFF,0XCF,0XFE,0X7F,0XFF,0X81,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XE0,0XCF,0XFF,0XCF,0XFE,0XFF,0XFF,0XC0,0XFF,0XFF,0XFF,
    0XFF,0XFC,0X00,0X1F,0XFF,0XCF,0XFE,0XFF,0XFF,0XE0,0X3F,0XFF,0XFF,0XFF,0XE0,0X00,
    0X3F,0XFF,0XCF,0XFC,0XFF,0XFF,0XF0,0X1F,0XFF,0XFF,0XFF,0X80,0X00,0X7F,0XFF,0XDF,
    0XFC,0XFF,0XFF,0XFC,0X07,0XFF,0XFF,0XFE,0X30,0X01,0XFF,0XFF,0XDF,0XFE,0X7F,0XF8,
    0X7E,0X03,0XFF,0XFF,0XF8,0XE0,0X07,0XFF,0XFF,0XDF,0XFE,0X7F,0XF0,0X03,0X00,0XFF,
    0XFF,0XF1,0X80,0X1F,0XFF,0XFF,0XCF,0XFE,0X7F,0XF0,0X00,0X00,0X3F,0XFF,0XC0,0X00,
    0X7F,0XFF,0XE3,0XCF,0XFE,0X7F,0XF0,0X00,0X00,0X0F,0XFF,0X80,0X01,0XFF,0XFE,0X00,
    0X4F,0XFE,0X7F,0XF0,0X00,0X00,0X03,0XFF,0X00,0X07,0XFF,0XF0,0X00,0X0F,0XFE,0X7F,
    0XFF,0XF8,0X00,0X01,0XFE,0X3E,0X3F,0XFF,0XE3,0XE3,0X8F,0XFE,0XFF,0XFF,0XFF,0XC0,
    0X00,0XFE,0X7F,0XFF,0XFF,0XE7,0XF3,0XFF,0XFE,0X7F,0XFF,0XFF,0XFE,0X00,0XFC,0XFF,
    0XFF,0XFF,0XEF,0XF9,0XFF,0XFE,0X77,0XFF,0XFF,0XFF,0XF8,0XFC,0XFF,0XFF,0XFF,0XCF,
    0XFF,0XFF,0XFE,0X60,0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,0XFF,0XFF,0XC7,0XFF,0XFF,0XFE,
    0X60,0XFF,0XFF,0XFF,0XFF,0XFB,0XFF,0XFF,0XFF,0XC3,0XFF,0XFF,0XFE,0X41,0XFF,0XFF,
    0XC3,0XFF,0XF3,0XFF,0XFF,0XFF,0X81,0XFF,0XFF,0XFE,0X41,0XFF,0XFE,0X00,0XFF,0XF3,
    0XFF,0XFF,0X80,0X99,0XFF,0XFF,0XFE,0X41,0XFF,0XFC,0X00,0X3F,0XF7,0XFF,0XFF,0X80,
    0X1F,0XFF,0XFF,0XFE,0X41,0XFF,0XF8,0X00,0X1F,0XE7,0XFF,0XFF,0XFF,0X8F,0XFF,0XFF,
    0XFE,0X41,0XFF,0XF8,0X00,0X0F,0XE7,0XFF,0XFF,0XFF,0XCF,0XFF,0XFF,0XFE,0XC3,0XFF,
    0XF0,0X3F,0X07,0XE7,0XFF,0XFF,0XFF,0XE7,0XFF,0XFF,0XFC,0XC3,0XFF,0XE0,0X7F,0XC7,
    0X87,0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,0XFC,0XC3,0XFF,0XE0,0XFF,0XC3,0X87,0XFF,0XFF,
    0XFF,0XF1,0XFF,0XFF,0XF9,0XC3,0XFF,0XC0,0XFF,0XE3,0X07,0XFF,0XFF,0XFF,0XFC,0XFF,
    0XFF,0XF3,0XC3,0XFF,0XC1,0XFF,0XE1,0X07,0XFF,0XFF,0XFF,0XFE,0X3F,0XFF,0XE7,0XC3,
    0XFF,0XC1,0XFF,0XE1,0X07,0XFF,0XFF,0XFF,0XFF,0X0F,0XFF,0XC7,0XC3,0XFF,0X81,0XFF,
    0XE1,0X03,0XFF,0XFF,0XFF,0XFF,0XC1,0XFE,0X03,0XC3,0XFF,0X83,0XFF,0XE0,0X03,0XFF,
    0XFF,0XFF,0XFF,0XF8,0X00,0X71,0XE1,0XFF,0X83,0XFF,0XE0,0X01,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XC7,0XF0,0XE1,0XFF,0X03,0XFF,0XE0,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF8,
    0XF0,0XFF,0X07,0XFF,0XE0,0X80,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0XF0,0X7E,0X07,
    0XFF,0XE0,0XC0,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0XF8,0X18,0X0F,0XFF,0XE1,0XE0,
    0X3F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0XFC,0X00,0X1F,0XFF,0XE1,0XE0,0X3F,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFC,0XFE,0X00,0X1F,0XFF,0XE1,0XF0,0X9F,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFC,0XFF,0X00,0X7F,0XFF,0XC1,0XFC,0XCF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XC0,
    0XFF,0XFF,0XC1,0XFC,0XE7,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XFF,0XFF,0XFF,0XC3,
    0XFC,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XF8,0XFF,0XFF,0XFF,0XFF,0X83,0XFC,0XF8,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XF0,0XFF,0XFF,0XFF,0XFF,0X83,0XFC,0XFE,0X1F,0XFF,0XFF,0XFF,
    0XFF,0XE6,0XFF,0XFF,0XFF,0XFF,0XC7,0XFC,0XFF,0X81,0XFF,0XFF,0XFF,0XFF,0XC7,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFC,0XFF,0XC0,0X01,0XFF,0XFF,0XFC,0X0F,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFD,0XFF,0X9F,0XFF,0XFF,0XFE,0X00,0X0F,0XFF,0XFF,0XFF,0XFF,0XFF,0XF9,0XFF,
    0X9F,0XFF,0XFF,0XFC,0X00,0X0F,0XFF,0XFF,0XFF,0XE3,0XFF,0X79,0XFF,0X9F,0XFF,0XFF,
    0XFD,0XC0,0X0F,0XFF,0XFF,0XFF,0X80,0XFF,0X39,0XFF,0X9F,0XFF,0XFF,0XFF,0XF0,0X0F,
    0XFF,0XFF,0XFF,0X80,0X7F,0X3B,0XFF,0XCF,0XFF,0XFF,0XFF,0XFC,0X0F,0XFF,0XE0,0X3F,
    0X80,0X3F,0X33,0XFF,0XC7,0XFF,0XFF,0XFF,0XFE,0X0F,0XFF,0XC0,0X0F,0X00,0X1F,0X33,
    0XFF,0XE3,0XFF,0XFF,0XFF,0XFF,0X0F,0XFF,0XC0,0X07,0X80,0X0F,0X87,0XFF,0XF8,0XFF,
    0XFF,0XFF,0XFF,0X81,0XFF,0X80,0X03,0X80,0X0F,0XDF,0XFF,0XFC,0X3F,0XFF,0XFF,0XFF,
    0XC1,0XFF,0XC0,0X01,0X80,0X07,0XFF,0XFF,0XFF,0X0F,0XFF,0XFF,0XFF,0XC1,0XFF,0XC0,
    0X01,0XC0,0X07,0XFF,0XFF,0XFF,0XC3,0XFF,0XFF,0XFF,0XE1,0XFF,0XC0,0X01,0XE0,0X0F,
    0XFF,0XFF,0XFF,0XF0,0X7F,0XFF,0XFF,0XE1,0XFF,0XE0,0X01,0XF0,0X0F,0XFF,0XFF,0XFF,
    0XFE,0X00,0XFF,0XFF,0XF1,0XFF,0XF0,0X01,0XFC,0X3F,0XFF,0XFF,0XFF,0XFF,0XC2,0X7F,
    0XFF,0XF1,0XFC,0X3C,0X03,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFE,0X7F,0XFF,0XF1,0XE0,
    0X1F,0X8F,0XFC,0X1F,0XFF,0XFF,0XFF,0XFF,0XFF,0X3B,0XFF,0XF1,0XC0,0X0F,0XFF,0XF0,
    0X0F,0XFF,0XFF,0XFF,0XFF,0XFF,0X39,0XFC,0XF1,0X80,0X07,0XF0,0X00,0X07,0XFF,0XFF,
    0XFF,0XFF,0XFF,0X99,0XFC,0XF1,0X80,0X07,0XE0,0X00,0X03,0XFF,0XFF,0XFF,0XFF,0XFF,
    0X93,0XFC,0XE1,0X80,0X03,0XC0,0X00,0X03,0XFF,0XFF,0XFF,0XFF,0XFF,0XC3,0XF8,0XC1,
    0X80,0X03,0X80,0X00,0X01,0XFF,0XFF,0XFF,0XFF,0XFF,0XE3,0XF0,0X01,0XC0,0X03,0X80,
    0X00,0X01,0XFF,0XFF,0XFF,0XFF,0XFF,0XF8,0X03,0X71,0XE0,0X03,0X00,0X00,0X01,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFE,0X0F,0XF1,0XF0,0X07,0X00,0X00,0X03,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XF1,0XFE,0X3F,0X00,0X00,0X03,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XF1,0XFF,0XFF,0X00,0X00,0X03,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF1,0XFF,0XFF,
    0X00,0X00,0X07,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF1,0XF0,0X3F,0X80,0X00,0X07,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XE0,0X0F,0X80,0X00,0X0F,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XF3,0XE0,0X07,0X80,0X00,0X1F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XF3,0XE0,0X07,0X00,0X00,0X3F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XF0,
    0X07,0X00,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XF8,0X07,0X00,0X01,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFC,0X0F,0X00,0X07,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,0XBF,0XC0,0X3F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XF3,0XFF,0XFF,0XF1,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
    0XFF,0XF3,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0XFF,
    0XFF,0XFF,0XFF,0XFF,
};

